<?php

namespace Lc\SovBundle\Factory\Newsletter;

use Lc\SovBundle\Container\Newsletter\NewsletterContainer;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\Newsletter\NewsletterInterface;

class NewsletterFactory extends AbstractFactory
{
    public function create(): NewsletterInterface
    {
        $class = NewsletterContainer::getEntityFqcn();
        $newsletter = new $class;

        return $newsletter;
    }

}
